"Unable to load authentication plugin." when trying to connect to MariaDB

By default, MariaDB uses an old type of authentication not supported by JDBC connections.  It is also less secure. The user you are trying to connect with is likely using a setting called OLD_PASSWORD:

https://mariadb.com/kb/en/old_password/

The issue can be resolved by upgrading the users password to the new version.  Please see the documentation here:

http://code.openark.org/blog/mysql/upgrading-passwords-from-old_passwords-to-new-passwords